> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.jarvi.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# [Vacatures] Lijst weergeven

> Get all offers with their custom fields, files, and more.

<Warning>
  Je moet je **publieke api-sleutel** gebruiken voor deze aanvraag. Je moet de gegevens aan jouw kant cachen om binnen
  de dagelijkse limieten voor het aantal aanroepen te blijven.
</Warning>

Je kunt alle informatie van elk project volledig aanpassen met behulp van <a href="../../custom-fields">Aangepaste velden</a>. Klik op deze link om te begrijpen hoe je informatie in aangepaste velden kunt lezen en schrijven.


## OpenAPI

````yaml GET /rest/v2/offers
openapi: 3.0.1
info:
  title: Jarvi API
  description: An API to help you read and manage your projects, profiles, and more.
  license:
    name: MIT
  version: 2.0.0
servers:
  - url: https://functions.prod.jarvi.tech/v1/public-api
security:
  - ApiKeyAuth: []
paths:
  /rest/v2/offers:
    get:
      summary: Get Offers
      description: Get all offers with their custom fields, files, and more.
      parameters:
        - in: query
          name: limit
          schema:
            type: number
          required: false
          description: The number of offers to return. Default is 100. Maximum is 1000
        - in: query
          name: offset
          schema:
            type: number
          required: false
          description: The number of projects to skip. Default is 0.
        - in: query
          name: where
          schema:
            type: object
          required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  projects:
                    items:
                      description: columns and relationships of "projects"
                      nullable: false
                      properties:
                        __typename:
                          nullable: false
                          title: String
                          type: string
                        createdAt:
                          $ref: '#/components/schemas/timestamptz!'
                        externalId:
                          nullable: true
                          title: String
                          type: string
                        fieldsValues:
                          items:
                            description: >-
                              columns and relationships of
                              "projects_fieldsvalues"
                            nullable: false
                            properties:
                              field:
                                description: columns and relationships of "fields"
                                nullable: false
                                properties:
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  name:
                                    nullable: false
                                    title: String
                                    type: string
                                  purpose:
                                    $ref: '#/components/schemas/fields_purposes_enum'
                                  type:
                                    $ref: '#/components/schemas/fields_types_enum!'
                                title: fields
                                type: object
                              fieldValue:
                                description: columns and relationships of "fieldsvalues"
                                nullable: true
                                properties:
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  name:
                                    nullable: false
                                    title: String
                                    type: string
                                  technicalValue:
                                    nullable: true
                                    title: String
                                    type: string
                                title: fieldsvalues
                                type: object
                              id:
                                $ref: '#/components/schemas/uuid!'
                              location:
                                description: columns and relationships of "locations"
                                nullable: true
                                properties:
                                  administrativeAreaLevel1:
                                    nullable: true
                                    title: String
                                    type: string
                                  administrativeAreaLevel2:
                                    nullable: true
                                    title: String
                                    type: string
                                  countryName:
                                    nullable: true
                                    title: String
                                    type: string
                                  countryShortName:
                                    nullable: true
                                    title: String
                                    type: string
                                  formattedAddress:
                                    nullable: true
                                    title: String
                                    type: string
                                  id:
                                    $ref: '#/components/schemas/uuid!'
                                  locality:
                                    nullable: true
                                    title: String
                                    type: string
                                  postalCode:
                                    nullable: true
                                    title: String
                                    type: string
                                  search:
                                    nullable: false
                                    title: String
                                    type: string
                                title: locations
                                type: object
                              value:
                                nullable: true
                                title: String
                                type: string
                            title: projects_fieldsvalues
                            type: object
                          nullable: false
                          type: array
                        id:
                          $ref: '#/components/schemas/uuid!'
                        name:
                          nullable: false
                          title: String
                          type: string
                        referenceId:
                          nullable: true
                          title: String
                          type: string
                        updatedAt:
                          $ref: '#/components/schemas/timestamptz!'
                        shortId:
                          nullable: true
                          title: String
                          type: string
                        publishedAt:
                          $ref: '#/components/schemas/timestamptz!'
                        userAssignees:
                          items:
                            description: Users assigned to projects.
                            nullable: false
                            properties:
                              displayName:
                                nullable: false
                                title: String
                                type: string
                              email:
                                nullable: true
                                title: String
                                type: string
                              id:
                                $ref: '#/components/schemas/uuid!'
                            title: projects_userAssignees
                            type: object
                          nullable: false
                          type: array
                      title: projects
                      type: object
                    nullable: false
                    type: array
              example:
                data:
                  - id: 0c48cc86-352e-4098-9f34-5785e3aeafa3
                    name: Dev JAVA - IDF
                    createdAt: '2024-05-30T10:19:11.381731+00:00'
                    updatedAt: '2024-10-24T08:41:12.981473+00:00'
                    externalId: '1234567890'
                    referenceId: '1234567890'
                    fieldsValues:
                      - id: 1785a816-1cf3-4e07-849b-4be09a8ddad6
                        field:
                          id: 00da911c-e3e1-46c1-86cc-0c1ec53e3213
                          type: richtext
                          name: Test Laurent
                          purpose: null
                          __typename: fields
                        fieldValue: null
                        location: null
                        value: '<p>contenu 1 : </p><p></p><p></p><p>Contenu 2</p> '
                        __typename: projects_fieldsvalues
                      - id: 049d767e-c7cb-42e8-b0fb-7668cfba391e
                        field:
                          id: de7fae4a-5f73-43a4-a92f-e19c4ecd81f1
                          type: boolean
                          name: >-
                            resources.fields.purposes.joboffer_salary_is_public.name
                          purpose: joboffer_salary_is_public
                          __typename: fields
                        fieldValue: null
                        location: null
                        value: 'true'
                        __typename: projects_fieldsvalues
                    __typename: projects
                total: 1
          description: Responses for GET /api/rest/offers
components:
  schemas:
    timestamptz!:
      nullable: false
      title: timestamptz
    uuid!:
      nullable: false
      pattern: '[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89aAbB][a-f0-9]{3}-[a-f0-9]{12}'
      title: uuid
      type: string
    fields_purposes_enum:
      enum:
        - business_estimated_revenue
        - joboffer
        - joboffer_activity_area
        - joboffer_benefits
        - joboffer_company_description
        - joboffer_company_name
        - joboffer_contract_duration_in_months
        - joboffer_contract_type
        - joboffer_description
        - joboffer_employee_status
        - joboffer_is_fulltime
        - joboffer_job_category
        - joboffer_level_of_study
        - joboffer_location
        - joboffer_min_years_of_experience
        - joboffer_profile_description
        - joboffer_remote_days_per_week
        - joboffer_salary_is_public
        - joboffer_salary_per_year_max
        - joboffer_salary_per_year_min
        - joboffer_salary_range_eur
        - joboffer_title
      nullable: true
      title: fields_purposes_enum
    fields_types_enum!:
      enum:
        - boolean
        - date
        - group
        - multiplechoice
        - number
        - rating
        - richtext
        - singlechoice
        - singlelocation
        - text
      nullable: false
      title: fields_types_enum
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````